Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationPrecisionMapping

    public interface ConfigurationPrecisionMapping

The result format-precision mapping settings, for the FR220 feature(font precision).
Each result format has a precision value, client can get/set precision through this interface,
for any format, always has a default precision.
The valid precision is:
``APIConst.PRECISION_HIGH``: the High precision is required for the result format.
``APIConst.PRECISION_LOW``: the Low precision is required for the result format.
``APIConst.PRECISION_ANY``: the context precision can be Any(High or Low), Dont care the precision issue for the result format.
the valid formats is:
`APIConst.RST`, `APIConst.HTML`, `APIConst.PDF`, `APIConst.TEXT`, `APIConst.EXCEL`, `APIConst.PS`, `APIConst.RTF`, `APIConst.XML`, `APIConst.DHTML`, `APIConst.PRINTER`, `APIConst.FAX`
Notes: Applet is RST(RST)

Since:
  8.1

Method Summary
`void` | `enableCustomizedPrecision(boolean isCustomized)` Enable or disable customized precision.
`void` | `enableFormatCustomizedPrecision(int format, boolean isCustomized)` Enable or disalbe customized precision for the format.
`int` | `getCustomizedPrecision(int format)` get the customized precion.
`int` | `getPrecision(int format)` get the precision.
`boolean` | `isFormatPrecisionCustomized(int format)` Whether enabled customized precision for the format.
`boolean` | `isPrecisionCustomized()` Whether enabled customized precision.
`void` | `setPrecision(int format, int precision)` set the precision.

Method Detail

### getPrecision

    int getPrecision(int format)

  get the precision.
  if the format is invalid the `APIConst.PRECISION_ANY` will be returned.
  Notes: if ``isPrecisionCustomized()`` is true and ``isFormatPrecisionCustomized(int)``is true, will return the customized precision, otherwise return the default system precision.

  ``
  Parameters:
    `format` - the format, one of below:
    `APIConst.RST`, `APIConst.HTML`, `APIConst.PDF`, `APIConst.TEXT`, `APIConst.EXCEL`, `APIConst.PS`, `APIConst.RTF`, `APIConst.XML`, `APIConst.DHTML`, `APIConst.PRINTER`, `APIConst.FAX`
  Returns:
    the precision, one of below:
    `APIConst.PRECISION_LOW`, `APIConst.PRECISION_HIGH`, `APIConst.PRECISION_ANY`

### setPrecision

    void setPrecision(int format,
                      int precision)

  set the precision.
  if the format(or precision) is invalid value, has no thrown, just has no effect.

  Parameters:
    `format` - the format, one of below:
    `APIConst.RST`, `APIConst.HTML`, `APIConst.PDF`, `APIConst.TEXT`, `APIConst.EXCEL`, `APIConst.PS`, `APIConst.RTF`, `APIConst.XML`, `APIConst.DHTML`, `APIConst.PRINTER`, `APIConst.FAX`
    `precision` - the precision, one of below:
    `APIConst.PRECISION_LOW`, `APIConst.PRECISION_HIGH`

### enableCustomizedPrecision

    void enableCustomizedPrecision(boolean isCustomized)

  Enable or disable customized precision.

  Parameters:
    `isCustomized` -

### isPrecisionCustomized

    boolean isPrecisionCustomized()

  Whether enabled customized precision.

  Returns:
    whether allow customize precision.

### enableFormatCustomizedPrecision

    void enableFormatCustomizedPrecision(int format,
                                         boolean isCustomized)

  Enable or disalbe customized precision for the format.

  Parameters:
    `format` - `APIConst.HTML` etc.
    `isCustomized` -

### isFormatPrecisionCustomized

    boolean isFormatPrecisionCustomized(int format)

  Whether enabled customized precision for the format.

  Parameters:
    `format` - `APIConst.HTML` etc.
  Returns:

### getCustomizedPrecision

    int getCustomizedPrecision(int format)

  get the customized precion.

  Parameters:
    `format` - the format.
  Returns:
    the customized precision.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD